Subject: bug#77595: closed (Re: [bug#77595] [PATCH v2] gnu: font-adobe-source-sans-pro: Update to 3.052.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 11 Apr 2025 11:34:02 +0000

Your bug report

#77595: [PATCH] gnu: font-adobe-source-sans-pro: Update to 3.052.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77595: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77595
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77595] [PATCH v2] gnu: font-adobe-source-sans-pro: Update to 3.052.
From: Christopher Baines <[email-masked]>
To: Kurome <[email-masked]>
Cc: [email-masked]
Date: Fri, 11 Apr 2025 12:33:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Kurome <[email-masked]> writes:

> * gnu/packages/fonts.scm (font-adobe-source-sans-pro): Update to 3.052.
> [version]: Remove "R" in version because it stands for "Release" and is not
> part of the version.
> [home-page]: Fix permanent redirect.
>
> Change-Id: If8e0f531718058c90da5908e65370de187358348
> ---
>  gnu/packages/fonts.scm | 10 +++++-----
>  1 file changed, 5 insertions(+), 5 deletions(-)

Thanks for the patch, I've pushed this to master as
6fc5fb97cbec26f290b9103398fea9ea07405161.

Chris

Subject: [PATCH] gnu: font-adobe-source-sans-pro: Update to 3.052.
From: Kurome <[email-masked]>
To: [email-masked]
Cc: Kurome <[email-masked]>
Date: Mon, 7 Apr 2025 13:05:04 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/fonts.scm (font-adobe-source-sans-pro): Update to 3.052.

Other Changes:

* The R in git tag stands for release and is not part of the version, so I
  removed it.

* The original URL was a permanent redirect so I fixed it.

Change-Id: If8e0f531718058c90da5908e65370de187358348
---
 gnu/packages/fonts.scm | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/gnu/packages/fonts.scm b/gnu/packages/fonts.scm
index 75b1bee6e2..74373b24f7 100644
--- a/gnu/packages/fonts.scm
+++ b/gnu/packages/fonts.scm
@@ -1598,18 +1598,18 @@ (define-public font-adobe-source-code-pro
 (define-public font-adobe-source-sans-pro
   (package
     (name "font-adobe-source-sans-pro")
-    (version "3.046R")
+    (version "3.052")
     (source
      (origin
        (method git-fetch)
        (uri (git-reference
-             (url "https://github.com/adobe-fonts/source-sans-pro")
-             (commit version)))
+             (url "https://github.com/adobe-fonts/source-sans")
+             (commit (string-append version "R"))))
        (file-name (git-file-name name version))
        (sha256
-        (base32 "01dnhyfffnlyjzyh40x2z728qpc4i0jvrcxdcjfm17zrwhmw84lw"))))
+        (base32 "06s0xn49x454c9zbrawcm4b672qpaqah3glmh2jn3m2jyv5xhdnb"))))
     (build-system font-build-system)
-    (home-page "https://github.com/adobe-fonts/source-sans-pro")
+    (home-page "https://github.com/adobe-fonts/source-sans")
     (synopsis
      "Sans serif font family for user interface environments")
     (description
-- 
2.49.0